Page MenuHomeFreeBSD

Update PR article to ask people not to submit PRs about outdated ports
ClosedPublic

Authored by allanjude on Mar 18 2015, 5:15 PM.

Diff Detail

Repository
rD FreeBSD doc repository
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

allanjude updated this revision to Diff 4273.Mar 18 2015, 5:15 PM
allanjude retitled this revision from to Update PR article to ask people not to submit PRs about outdated ports.
allanjude updated this object.
allanjude edited the test plan for this revision. (Show Details)
allanjude added reviewers: bcr, eadler, wblock, marino.
marino requested changes to this revision.Mar 18 2015, 5:19 PM
marino edited edge metadata.
  1. helpfuk (sp)
  2. I think the "unmaintained ports" section should mention the PR will be *closed* if all it says is "please update port".
This revision now requires changes to proceed.Mar 18 2015, 5:19 PM
allanjude updated this revision to Diff 4276.Mar 18 2015, 8:34 PM
allanjude edited edge metadata.

Update with feedback from marino@ and Andrew Berg

well, this new text basically encourages someone to submit a PR to announce a new version to an unmaintained port because "it might get picked up ...".

We really don't want to send that message.
We don't want these types of PRs at all.

If the policy is supposed to be "don't submit 'please update'" PRs (and I understand that is the new policy) then we should be explicit about it IMO.

by the way, the chances of a PR like that to an umaintained port getting picked up is slim.

For unmaintained port, unless the PR contains a real patch, they don't get picked up. Obviously a "please update" PR fits into that category.

wblock added inline comments.Mar 19 2015, 2:34 AM
en_US.ISO8859-1/articles/problem-reports/article.xml
104–105

s/FreeBSD/&os;/

105

The aside makes this confusing, and it's hard to tell what this sentence means. I think it means this:

Consider these factors when submitting PRs about ports or other software that is not part of &os; itself:

119–124

This is a run-on sentence. Break it after "helpful":

...helpful. Maintainers...

121

This second "automatically" is redundant.

122

Passive->active:
s/would only create/only creates/

Split sentences apart:

applications. So a PR only creates

123

"Supplementary" has a positive connotation. "needless additional" is better.

"the committers" can just be "committers".

allanjude updated this revision to Diff 4283.Mar 19 2015, 4:24 AM
allanjude edited edge metadata.

Update with feedback from marino@ and wblock@

Rework the list to be more straight forward and direct the user exactly what to do, and what not to do.

marino accepted this revision.Mar 19 2015, 7:49 AM
marino edited edge metadata.

Thanks, you addressed my main issue! I have a tweak about how to become maintainer though.

en_US.ISO8859-1/articles/problem-reports/article.xml
122

suggest changing from:
"of an application, contact &a.ports;"
to
"of an unmaintained port, submit a PR with the request (patch preferred but not required)"

I think we prefer "make me maintainer" requests via bugzilla over mail list, and we definitely want to be sure any new maintainer has a bugzilla account as a minimum requirement to be a maintainer.

This revision is now accepted and ready to land.Mar 19 2015, 7:49 AM
wblock added inline comments.Mar 20 2015, 7:57 PM
en_US.ISO8859-1/articles/problem-reports/article.xml
113

The "feel free" can be taken as kind of passive-aggressive. Could be

Actual patches to update a port to a newer version are welcome.

119–124

s/contains/is/

121

s/If you would like to/To/

allanjude updated this revision to Diff 4311.Mar 20 2015, 8:15 PM
allanjude edited edge metadata.

Update with feedback from marino@ and wblock@

This revision now requires review to proceed.Mar 20 2015, 8:15 PM
bcr accepted this revision.Mar 22 2015, 6:57 PM
bcr edited edge metadata.
This revision is now accepted and ready to land.Mar 22 2015, 6:57 PM
allanjude closed this revision.Mar 22 2015, 7:29 PM

Committed as rD46364